import { Referral } from "../../../saasquatch";
import { ReferralTableColumn } from "./ReferralTableColumn";
/**
 * @uiName Referral Table Generic Column
 * @validParents ["sqm-referral-table"]
 */
export declare class ReferralTableGenericColumn implements ReferralTableColumn {
  /**
   * @uiName Column title
   */
  columnTitle: string;
  constructor();
  disconnectedCallback(): void;
  renderCell(_: Referral): Promise<any>;
  renderLabel(): Promise<string>;
  render(): any;
}
